## Index

### Variables

- BRACED_INDEX_REGEX

### Functions

- uniqueAttributeValueName

## Variables

### Const BRACED_INDEX_REGEX

BRACED_INDEX_REGEX: RegExp = /\[(\d+)]/g

- Defined in dynamo/expression/functions/unique-attribute-value-name.function.ts:3

## Functions

### uniqueAttributeValueName

- uniqueAttributeValueName(key: string, existingValueNames?: string[]): string

- - Defined in dynamo/expression/functions/unique-attribute-value-name.function.ts:10

  Creates a unique attribute value placeholder name to use in the expression

  #### Parameters

  - ##### key: string

  - ##### Optional existingValueNames: string[]

  #### Returns string

  The unique attribute value placeholder name in respect to the given existing value names (no duplicates allowed)

Generated using TypeDoc